Subject: The RSE's perspective

From: Heather Flanagan <[email-masked]>
Date: Thu, 20 Jun 2019 15:39:50 +0300

Hola a todos!

As with all endings, every side of the story has their own perceptions of what’s happened. I want to share my thinking and perceptions behind my decision not to renew my contract as RSE at the end of this year. 

My view for the RFC Series is one that supports making available high-quality technical documents by and for the Internet, from a variety of sources. My view for the RFC Editor is one that supports a technology-neutral but highly skilled partner in the process. The RFC Series Editor represents those views in an equal role to the various stream managers. The IETF is the RFC Editor’s biggest client, so the collaboration between the organizations is critical. But it needs to *be* a collaboration, where both sides respect the skills and knowledge of the other. It is not a subordinate relationship, where the RFC Editor is simply a group offering services are useful but not truly critical. It is also not a relationship where the strategy and decisions for the Series itself are dictated by IETF leadership. 

Over the last year, I’ve seen the rfcplusplus BoF happen, against my recommendation. My oversight committee, which is a group that I must work with most closely, was almost completely replaced without any input from me. I have what essentially acts as a design team, the RFC Series Advisory Group. They generally aren’t consulted either. The RSOC/IAB is pushing hard on the missed SLA, not acknowledging that statements were made (with full support and understanding of earlier leadership cohorts) on plenary stage and in meetings that the SLA would be missed as the format tool testing and transition ramped up. And then I see the new RSOC completely ignore the learnings of the first and second RFPs for the RSE role, and make recommendations again without input from people who have experience with the process. With all that said,  RSOC/IAB have done nothing that they aren’t allowed to do in their various charters. But if that’s the way the organization is going to be run, I don’t feel like I’m at all a good fit for how business is handled.  I would rather find other ways I can be effective in helping to do my part in improving the Internet.

My interpretation of events of the last year as described above, culminating with the decision to put the RSE contract out to bid at year four instead of year six, is that my view for the RFC Series and the RFC Editor are not aligned with the expectations of the IETF leadership. At the end of the day, I am a contractor, and what I see here is a relationship with a client that is unhappy with my performance, but they can’t or won’t tell me why. Rather than drag this out, I think it’s best to let the client go, and the communities that depend on the RFC Series can decide what it is they really want in an RFC Series Editor.

I will do what I can, within reason, to ensure a smooth transition to a new RSE. And I will be in Montreal and Singapore, where I hope to tell many of you in person just how much I’ve enjoyed working with you over the last seven years. Thank you for the well wishes, and best of fortunes into the next stage of evolution for the IETF and the RFC Editor!

Thank you for all the many fine lunches and dinners,
Heather

---

From: "Aaron Falk" <[email-masked]>
Date: Fri, 21 Jun 2019 23:45:19 -0400

I think it is not controversial to say this is a bad outcome.  Heather 
leaving as RSE because she felt she didn’t have the authority or 
autonomy to perform the job is not good for the RFC Series or the IETF.  
It also will make it harder to recruit a high quality replacement.

I think it’s worth trying to understand what went wrong so, as a 
community, we can consider whether changes should are made to address 
any underlying problems.  While the RSOC has provided a statement, I 
think the IAB also needs to be accountable per RFC6635

````
    The IAB is responsible for the oversight of the RFC Series...
````

So, I have a few questions for the RSOC and IAB:

* Was either the RSOC or the IAB ‘unhappy’ with the RSE?  Or believe 
the community is unhappy with the RSE?  If so, for what reason?  If not, 
why the interest in finding additional bidders?

* The concerns about performance against the SLA seem related to the 
RSOC forgetting earlier warnings by the RSE that production rates would 
slip during migration to the new format.  So, why did the IAB [remove 
half of the 
RSOC](https://www.iab.org/2018/09/12/rfc-series-oversight-committee-rsoc-appointments-2/) 
in 2018 (including those members who were part of the search process for 
the current RSE)?  After all, RFC 6635 states a purpose of the RSOC is 
to provide institutional knowledge:

````
    In order to provide continuity over periods longer than the NomCom
    appointment cycle [RFC3777] and assure that oversight includes
    suitable subject matter expertise, the IAB will establish a group
    that implements oversight for the IAB, the RFC Series Oversight
    Committee (RSOC).
````

* Will the IAB commit to report to the community what it concludes went 
wrong and what should be done to prevent similar unfortunate outcomes?

--aaron

On 20 Jun 2019, at 8:39, Heather Flanagan wrote:

> Hola a todos!
>
> As with all endings, every side of the story has their own perceptions 
> of what’s happened. I want to share my thinking and perceptions 
> behind my decision not to renew my contract as RSE at the end of this 
> year.
>
> My view for the RFC Series is one that supports making available 
> high-quality technical documents by and for the Internet, from a 
> variety of sources. My view for the RFC Editor is one that supports a 
> technology-neutral but highly skilled partner in the process. The RFC 
> Series Editor represents those views in an equal role to the various 
> stream managers. The IETF is the RFC Editor’s biggest client, so the 
> collaboration between the organizations is critical. But it needs to 
> *be* a collaboration, where both sides respect the skills and 
> knowledge of the other. It is not a subordinate relationship, where 
> the RFC Editor is simply a group offering services are useful but not 
> truly critical. It is also not a relationship where the strategy and 
> decisions for the Series itself are dictated by IETF leadership.
>
> Over the last year, I’ve seen the rfcplusplus BoF happen, against my 
> recommendation. My oversight committee, which is a group that I must 
> work with most closely, was almost completely replaced without any 
> input from me. I have what essentially acts as a design team, the RFC 
> Series Advisory Group. They generally aren’t consulted either. The 
> RSOC/IAB is pushing hard on the missed SLA, not acknowledging that 
> statements were made (with full support and understanding of earlier 
> leadership cohorts) on plenary stage and in meetings that the SLA 
> would be missed as the format tool testing and transition ramped up. 
> And then I see the new RSOC completely ignore the learnings of the 
> first and second RFPs for the RSE role, and make recommendations again 
> without input from people who have experience with the process. With 
> all that said,  RSOC/IAB have done nothing that they aren’t allowed 
> to do in their various charters. But if that’s the way the 
> organization is going to be run, I don’t feel like I’m at all a 
> good fit for how business is handled.  I would rather find other ways 
> I can be effective in helping to do my part in improving the Internet.
>
> My interpretation of events of the last year as described above, 
> culminating with the decision to put the RSE contract out to bid at 
> year four instead of year six, is that my view for the RFC Series and 
> the RFC Editor are not aligned with the expectations of the IETF 
> leadership. At the end of the day, I am a contractor, and what I see 
> here is a relationship with a client that is unhappy with my 
> performance, but they can’t or won’t tell me why. Rather than drag 
> this out, I think it’s best to let the client go, and the 
> communities that depend on the RFC Series can decide what it is they 
> really want in an RFC Series Editor.
>
> I will do what I can, within reason, to ensure a smooth transition to 
> a new RSE. And I will be in Montreal and Singapore, where I hope to 
> tell many of you in person just how much I’ve enjoyed working with 
> you over the last seven years. Thank you for the well wishes, and best 
> of fortunes into the next stage of evolution for the IETF and the RFC 
> Editor!
>

---

From: Alexander Neilson <[email-masked]>
Date: Sat, 22 Jun 2019 16:35:48 +1200

Hi Heather

I wanted to say directly and publicly to you I hope my comments were not seen in any way as negative on your performance. I haven’t been involved in the IETF extensively enough to have any actual knowledge on this and was trying to simply talk about partners being clear in a contractual discussion and telling the partner in that relationship before publicly announcing something that will have an effect on the future operation of that relationship. 

The feedback from members of the community I hold respect for have commented positively about your work (the only perspective I have knowledge of) and thank you very much for your work on the RFC’s. I often pop into them to check details and they are one of the best access systems to technical documentation I have worked with and I appreciate the series and the work that goes into them. Thank you. 

It sounds like the details of this particular interaction (as opposed to my objective technical view) has been, at least, sub optimal and has significantly damaged what was a great relationship. I hope very big learnings are taken from this to ensure the mistakes made are not repeated. 

Specifically it seems that:
* if you make a change knowingly will affect the delivery SLA that SLA should be officially changed or officially suspended
* institutional knowledge is very important to effective operation and committees constituted to provide longer term oversight should be managed and discussed with members / overlap to ensure that knowledge is retained across the group
* just telling someone what you are planning to do without a detailed why undermines trust in the relationship, especially if a move can have a significant negative interpretation or is a significant departure from the historical approach 

Regards
Alexander

Alexander Neilson
Neilson Productions Limited
021 329 681
[email-masked]

> On 21/06/2019, at 00:39, Heather Flanagan <[email-masked]> wrote:
> 
> Hola a todos!
>

---

From: Michael StJohns <[email-masked]>
Date: Sat, 22 Jun 2019 12:30:40 -0400

I note with interest that the last IAB session (12 June)  had "RSE 
Contract" as an executive session item.  I also note with interest, that 
there is no RSE item on the schedule for the next IAB session (26 June).

I'm at a loss to understand why the contract item was an Exec session 
item - contract discussions on terms, recompensation - things that are 
generally considered personnel actions, sure those are exec 
discussions.  Talking about a decision to renew then terminate the 
contract for reasons not related to performance (or so we've been told 
by the RSOC), not so much.   It would be helpful if the IAB were to 
release the minutes on this section of their last meeting to provide the 
community with more context on how they've been making RSE related 
decisions.  That may serve to answer some of Aaron's questions.

My question still stands - why did the IAB/RSOC feel the need to take 
the termination action 2.5 years prior to the expiration of the renewal 
- I'm not really buying the "we wanted to revamp the RFP process" 
statement.  Shouldn't that have been the decision of the (differently 
composed) IAB of 1 or 2 years in the future?

Mike

On 6/21/2019 11:45 PM, Aaron Falk wrote:
> autonomy to perform the job is not good for the RFC Series or the 
> IETF. It also will make it harder to recruit a high quality replacement.
>
> |The IAB is responsible for the oversight of the RFC Series... |
>
>  *
>     Was either the RSOC or the IAB ‘unhappy’ with the RSE? Or believe
>     the community is unhappy with the RSE? If so, for what reason? If
>     not, why the interest in finding additional bidders?
>
>  *
>
>     The concerns about performance against the SLA seem related to the
>     RSOC forgetting earlier warnings by the RSE that production rates
>     would slip during migration to the new format. So, why did the IAB
>     remove half of the RSOC
>     <https://www.iab.org/2018/09/12/rfc-series-oversight-committee-rsoc-appointments-2/>
>     in 2018 (including those members who were part of the search
>     process for the current RSE)? After all, RFC 6635 states a purpose
>     of the RSOC is to provide institutional knowledge:
>
> |In order to provide continuity over periods longer than the NomCom 
> suitable subject matter expertise, the IAB will establish a group that 
> implements oversight for the IAB, the RFC Series Oversight Committee 
> (RSOC). |
>
>   * Will the IAB commit to report to the community what it concludes
>     went wrong and what should be done to prevent similar unfortunate
>     outcomes?
>
> --aaron
>
>     As with all endings, every side of the story has their own
>     perceptions of what’s happened. I want to share my thinking and
>     perceptions behind my decision not to renew my contract as RSE at
>     the end of this year.
>
>     variety of sources. My view for the RFC Editor is one that
>     supports a technology-neutral but highly skilled partner in the
>     process. The RFC Series Editor represents those views in an equal
>     role to the various stream managers. The IETF is the RFC Editor’s
>     biggest client, so the collaboration between the organizations is
>     critical. But it needs to *be* a collaboration, where both sides
>     respect the skills and knowledge of the other. It is not a
>     subordinate relationship, where the RFC Editor is simply a group
>     offering services are useful but not truly critical. It is also
>     not a relationship where the strategy and decisions for the Series
>     itself are dictated by IETF leadership.
>
>     Over the last year, I’ve seen the rfcplusplus BoF happen, against
>     my recommendation. My oversight committee, which is a group that I
>     must work with most closely, was almost completely replaced
>     without any input from me. I have what essentially acts as a
>     design team, the RFC Series Advisory Group. They generally aren’t
>     consulted either. The RSOC/IAB is pushing hard on the missed SLA,
>     not acknowledging that statements were made (with full support and
>     understanding of earlier leadership cohorts) on plenary stage and
>     in meetings that the SLA would be missed as the format tool
>     testing and transition ramped up. And then I see the new RSOC
>     completely ignore the learnings of the first and second RFPs for
>     the RSE role, and make recommendations again without input from
>     people who have experience with the process. With all that
>     said,  RSOC/IAB have done nothing that they aren’t allowed to do
>     in their various charters. But if that’s the way the organization
>     is going to be run, I don’t feel like I’m at all a good fit for
>     how business is handled.  I would rather find other ways I can be
>     effective in helping to do my part in improving the Internet.
>
>     culminating with the decision to put the RSE contract out to bid
>     at year four instead of year six, is that my view for the RFC
>     Series and the RFC Editor are not aligned with the expectations of
>     the IETF leadership. At the end of the day, I am a contractor, and
>     what I see here is a relationship with a client that is unhappy
>     with my performance, but they can’t or won’t tell me why. Rather
>     than drag this out, I think it’s best to let the client go, and
>     the communities that depend on the RFC Series can decide what it
>     is they really want in an RFC Series Editor.
>
>     I will do what I can, within reason, to ensure a smooth transition
>     to a new RSE. And I will be in Montreal and Singapore, where I
>     hope to tell many of you in person just how much I’ve enjoyed
>     working with you over the last seven years. Thank you for the well
>     wishes, and best of fortunes into the next stage of evolution for
>     the IETF and the RFC Editor!
>

---

From: Lars Eggert <[email-masked]>
Date: Sun, 23 Jun 2019 09:36:17 +0300

I have the same question that Mike has stated.

If this was really done to “revamp the RFP process”, we need people in this role who better understand how RFP processes work.

-- 
Sent from a mobile device; please excuse typos.

> On Jun 22, 2019, at 19:30, Michael StJohns <[email-masked]> wrote:
> 
> My question still stands - why did the       IAB/RSOC feel the need to take the termination action 2.5 years prior to the expiration of the renewal - I'm not really buying the "we wanted to revamp the RFP process" statement.  Shouldn't that have been the decision of the (differently composed) IAB of 1 or 2 years in the future?

---

From: Ted Hardie <[email-masked]>
Date: Mon, 24 Jun 2019 09:14:14 -0700

Hi Aaron,

On Fri, Jun 21, 2019 at 8:45 PM Aaron Falk <[email-masked]> wrote:

> You've made some meta-points above, which I will respond to in a different
message, as I think they are on the topic of "what do we do in the future"
and need to be called out as such.

>
>    -
>
>    Was either the RSOC or the IAB ‘unhappy’ with the RSE? Or believe the
>    community is unhappy with the RSE? If so, for what reason? If not, why the
>    interest in finding additional bidders?
>
> I believe Sarah's note covers the question of why the RFP process was a
focus.   On the other question, I must remind you that this position is
both a community leadership position and a contractor position.  We see the
first when Heather sits on stage with the rest of the leadership at
plenaries, to take comments from the community.  The latter, however, is
covered by the normal confidentiality given to personnel matters.  That
confidentiality is important to maintain even when the comments given would
be laudatory, as that principle ensures that you don't get revelation by
omission at later dates.  The public statements in cases like this are the
outcomes, just as they would be in a company's hiring or promotion
decisions.

In this particular case, the full process did not run, as it goes RSOC
recommends to the IAB, the IAB makes a decision, and the contract is
executed by the LLC.  There is no outcome to point to, in other words,
since Heather's decision took place before it finished.

What I can say is that the IAB received the RSOC recommendation and that
the IAB minutes will show what that was.  The minutes will not receive
final approval until Wednesday's meeting, but I will share with you what
the draft says:

12. Executive Session: RFC Series Editor Contract
>
>   The IAB received the following recommendation from RSOC on 2019-06-06:
>
>     "The RSOC has reached the decision to recommend that we reup the
>     current RSE contract this year. We continue to be concerned with our
>     last bid outcome, where there was a single applicant, and we wonder
>     if changing or amending steps in the process (like where we bid, how
>     long it’s out for bid, etc) would increase the number of
>     respondents. We recognize that with 2020 coming closer, the ability
>     to rebid in the short term would be too narrow. Our full
>     recommendation is to reup at the end of this year, and then go out
>     to bid in 2021 for the 2022 timeframe. The decision to rebid is
>     explicitly not a comment on Heathers performance as RSE, but rather,
>     our desire to collect more data and refine the process."
>
>   Heather Flanagan subsequently announced that she did not intend to renew
> her
>   contract as RSE on 2019-06-07.
>
>   The IAB discussed the RFC Series Editor contract in an executive
>   session.
>

I call your attention to the final line of the recommendation,  which
confirms what Sarah already said.  Much more on the personnel side I do not
expect the RSOC or IAB to say, given the usual confidentiality requirements
around personnel decisions.  As I noted above, those requirements apply
even if the comments are positive.

>    -
>    slip during migration to the new format.
>
> If you consult RFC 6635, Section 4, you'll see that this interaction is
primarily between the RSE and the IAOC; in 6635bis this is updated to the
LLC.  The institutional memory here is lodged elsewhere.

>
>    -
>
>    So, why did the IAB remove half of the RSOC
>    the current RSE)? After all, RFC 6635 states a purpose of the RSOC is to
>    provide institutional knowledge:
>
The IAB did not so much remove half the RSOC as refresh the whole
membership.  See the call for for volunteers from May of last year:
https://mailarchive.ietf.org/arch/msg/ietf-announce/-9XsyFQsp-4fybaKssEttVINCQE.
As the call for volunteers notes, the current process doesn't give RSOC
members specific terms.  Rather than select specific members and remove
them, the IAB chose to consider the whole membership and invite existing
members to stand again if they chose. As is usual for IAB appointments of
this type, there was then a period where confidential comments on the
volunteers was received, followed by interviews and a selection.

>    - Will the IAB commit to report to the community what it concludes
>    went wrong and what should be done to prevent similar unfortunate outcomes?
>
> The IAB takes its responsibilities under RFC 6635 very seriously and will
do what it can to improve the process.  That may, of course, require
considering changes to RFC 6635; that is the topic of the "meta message
response" you'll see in a bit.

Ted Hardie

---

From: Ted Hardie <[email-masked]>
Date: Mon, 24 Jun 2019 09:22:31 -0700

On Sat, Jun 22, 2019 at 9:31 AM Michael StJohns <[email-masked]>
wrote:

> I'm at a loss to understand why the contract item was an Exec session item
> - contract discussions on terms, recompensation - things that are generally
> considered personnel actions, sure those are exec discussions.  Talking
> about a decision to renew then terminate the contract for reasons not
> related to performance (or so we've been told by the RSOC), not so much.
> It would be helpful if the IAB were to release the minutes on this section
> of their last meeting to provide the community with more context on how
> they've been making RSE related decisions.  That may serve to answer some
> of Aaron's questions.
>
>
Mike,

Please see my comments to Aaron.

It is normal to consider the RSOC's recommendation on the continuation of
the contract in executive session, since the scope of the discussion may be
wide.  In this case, the session changed a bit when Heather's decision came
in, to focus on recruitment.

> My question still stands - why did the IAB/RSOC feel the need to take the
> termination action 2.5 years prior to the expiration of the renewal - I'm
> not really buying the "we wanted to revamp the RFP process" statement.
> Shouldn't that have been the decision of the (differently composed) IAB of
> 1 or 2 years in the future?
>
>
As I noted in my message to Aaron, the RSOC makes a recommendation on the
continuation of the contract to the IAB, which then considers and confirms
with the IASA (IAOC or LLC).  None of the rest of the process had run when
Heather made her decision.  It is possible that it would have changed,
either in discussion with the IAB now or during the decision in two years
to proceed with the RFP, but the process did not reach that point.

regards,

Ted Hardie

> leaving as RSE because she felt she didn’t have the authority or autonomy
> to perform the job is not good for the RFC Series or the IETF. It also will
> make it harder to recruit a high quality replacement.
>
> community, we can consider whether changes should are made to address any
> underlying problems. While the RSOC has provided a statement, I think the
> IAB also needs to be accountable per RFC6635
>
>    slip during migration to the new format. So, why did the IAB remove
>    half of the RSOC
> As with all endings, every side of the story has their own perceptions of
> what’s happened. I want to share my thinking and perceptions behind my
> decision not to renew my contract as RSE at the end of this year.
>
> high-quality technical documents by and for the Internet, from a variety of
> sources. My view for the RFC Editor is one that supports a
> Series Editor represents those views in an equal role to the various stream
> managers. The IETF is the RFC Editor’s biggest client, so the collaboration
> between the organizations is critical. But it needs to *be* a
> collaboration, where both sides respect the skills and knowledge of the
> other. It is not a subordinate relationship, where the RFC Editor is simply
> a group offering services are useful but not truly critical. It is also not
> a relationship where the strategy and decisions for the Series itself are
> dictated by IETF leadership.
>
> recommendation. My oversight committee, which is a group that I must work
> with most closely, was almost completely replaced without any input from
> me. I have what essentially acts as a design team, the RFC Series Advisory
> Group. They generally aren’t consulted either. The RSOC/IAB is pushing hard
> on the missed SLA, not acknowledging that statements were made (with full
> support and understanding of earlier leadership cohorts) on plenary stage
> and in meetings that the SLA would be missed as the format tool testing and
> transition ramped up. And then I see the new RSOC completely ignore the
> learnings of the first and second RFPs for the RSE role, and make
> recommendations again without input from people who have experience with
> the process. With all that said,  RSOC/IAB have done nothing that they
> aren’t allowed to do in their various charters. But if that’s the way the
> organization is going to be run, I don’t feel like I’m at all a good fit
> for how business is handled.  I would rather find other ways I can be
> culminating with the decision to put the RSE contract out to bid at year
> four instead of year six, is that my view for the RFC Series and the RFC
> Editor are not aligned with the expectations of the IETF leadership. At the
> end of the day, I am a contractor, and what I see here is a relationship
> with a client that is unhappy with my performance, but they can’t or won’t
> tell me why. Rather than drag this out, I think it’s best to let the client
> go, and the communities that depend on the RFC Series can decide what it is
> they really want in an RFC Series Editor.
>
> I will do what I can, within reason, to ensure a smooth transition to a
> new RSE. And I will be in Montreal and Singapore, where I hope to tell many
> of you in person just how much I’ve enjoyed working with you over the last
> seven years. Thank you for the well wishes, and best of fortunes into the
> next stage of evolution for the IETF and the RFC Editor!
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 24 Jun 2019 17:46:07 +0100

Hi Ted,

Pardon the top post…

If I read you correctly, you are saying that the communication from the RSOC to Heather was simply a statement of what they planned to recommend to the IAB, and not a statement of the process that had been agreed and was being executed.

Right?

Adrian

From: ietf <[email-masked]> On Behalf Of Ted Hardie
Sent: 24 June 2019 17:14
To: Aaron Falk <[email-masked]>
Cc: IAB IAB <[email-masked]>; IETF <[email-masked]>
Subject: Re: [IAB] The RSE's perspective

Hi Aaron,

On Fri, Jun 21, 2019 at 8:45 PM Aaron Falk <aaron.falk@gmail..com <mailto:[email-masked]> > wrote:

You've made some meta-points above, which I will respond to in a different message, as I think they are on the topic of "what do we do in the future" and need to be called out as such.  

*	Was either the RSOC or the IAB ‘unhappy’ with the RSE? Or believe the community is unhappy with the RSE? If so, for what reason? If not, why the interest in finding additional bidders?

I believe Sarah's note covers the question of why the RFP process was a focus.   On the other question, I must remind you that this position is both a community leadership position and a contractor position.  We see the first when Heather sits on stage with the rest of the leadership at plenaries, to take comments from the community.  The latter, however, is covered by the normal confidentiality given to personnel matters.  That confidentiality is important to maintain even when the comments given would be laudatory, as that principle ensures that you don't get revelation by omission at later dates.  The public statements in cases like this are the outcomes, just as they would be in a company's hiring or promotion decisions..  

In this particular case, the full process did not run, as it goes RSOC recommends to the IAB, the IAB makes a decision, and the contract is executed by the LLC.  There is no outcome to point to, in other words, since Heather's decision took place before it finished.

What I can say is that the IAB received the RSOC recommendation and that the IAB minutes will show what that was.  The minutes will not receive final approval until Wednesday's meeting, but I will share with you what the draft says:

  Heather Flanagan subsequently announced that she did not intend to renew her 
  contract as RSE on 2019-06-07.

I call your attention to the final line of the recommendation,  which confirms what Sarah already said.  Much more on the personnel side I do not expect the RSOC or IAB to say, given the usual confidentiality requirements around personnel decisions.  As I noted above, those requirements apply even if the comments are positive. 

*	The concerns about performance against the SLA seem related to the RSOC forgetting earlier warnings by the RSE that production rates would slip during migration to the new format. 

If you consult RFC 6635, Section 4, you'll see that this interaction is primarily between the RSE and the IAOC; in 6635bis this is updated to the LLC.  The institutional memory here is lodged elsewhere.

*	So, why did the IAB  <https://www.iab.org/2018/09/12/rfc-series-oversight-committee-rsoc-appointments-2/> remove half of the RSOC in 2018 (including those members who were part of the search process for the current RSE)? After all, RFC 6635 states a purpose of the RSOC is to provide institutional knowledge:

The IAB did not so much remove half the RSOC as refresh the whole membership.  See the call for for volunteers from May of last year:  https://mailarchive.ietf.org/arch/msg/ietf-announce/-9XsyFQsp-4fybaKssEttVINCQE.  As the call for volunteers notes, the current process doesn't give RSOC members specific terms.  Rather than select specific members and remove them, the IAB chose to consider the whole membership and invite existing members to stand again if they chose. As is usual for IAB appointments of this type, there was then a period where confidential comments on the volunteers was received, followed by interviews and a selection.  

*	Will the IAB commit to report to the community what it concludes went wrong and what should be done to prevent similar unfortunate outcomes?

The IAB takes its responsibilities under RFC 6635 very seriously and will do what it can to improve the process.  That may, of course, require considering changes to RFC 6635; that is the topic of the "meta message response" you'll see in a bit.

Ted Hardie

---

From: Ted Hardie <[email-masked]>
Date: Mon, 24 Jun 2019 10:39:47 -0700

Hi Adrian,

On Mon, Jun 24, 2019 at 9:46 AM Adrian Farrel <[email-masked]> wrote:

> Hi Ted,
>
>
>
> Pardon the top post…
>
>
>
> If I read you correctly, you are saying that the communication from the
> RSOC to Heather was simply a statement of what they planned to recommend to
> the IAB, and not a statement of the process that had been agreed and was
> being executed.
>
>
>
> Right?
>
>
>

That's where the process was, yes.

regards,

Ted

Adrian
>
>
>
> *From:* ietf <[email-masked]> *On Behalf Of *Ted Hardie
> *Sent:* 24 June 2019 17:14
> *To:* Aaron Falk <[email-masked]>
> *Cc:* IAB IAB <[email-masked]>; IETF <[email-masked]>
> *Subject:* Re: [IAB] The RSE's perspective
>
>
>
> Hi Aaron,
>
>
>
> On Fri, Jun 21, 2019 at 8:45 PM Aaron Falk <aaron.falk@gmail..com
> <[email-masked]>> wrote:
>
>    - Was either the RSOC or the IAB ‘unhappy’ with the RSE? Or believe
>    the community is unhappy with the RSE? If so, for what reason? If not, why
>    the interest in finding additional bidders?
>
> decisions..
>    - The concerns about performance against the SLA seem related to the
>    - So, why did the IAB remove half of the RSOC

---

From: Michael StJohns <[email-masked]>
Date: Mon, 24 Jun 2019 14:46:20 -0400

Let's get one more clarification:

As far as I can tell, the order in which things happened was:

1) The RSOC decided to renew then cancel the contract for "RFP purposes" 
- that RSOC meeting had the two IAB members Christian and Robert 
attending and agreeing.
2) The IAB meeting reviewed the "decision"/"recommendation" and allowed 
it to go forward.
3) The RSOC with the IAB's consent or at least knowledge absent dissent 
sent a note to Heather indicating the renew/cancel decision.
4) Heather declined the extension for the reasons previously stated.

So Q1:  Is the above time line correct?  If not please clarify.

Q2:  Is there *any* indication that anyone from the RSOC told Heather 
this was not the final decision and that it was subject to IAB approval 
and subsequent LLC approval?

Q3: Is there any indication at all that anyone from the IAB told Heather 
this was not the final decision?

Q4: Is there any indication at all that Heather could have come to a 
conclusion that the decision was not final from the letter she was sent 
by the RSOC?

I'm having problems with this being cast as a misunderstanding of the 
state of the process.

Later, Mike

On 6/24/2019 1:39 PM, Ted Hardie wrote:
> Hi Adrian,
>
> On Mon, Jun 24, 2019 at 9:46 AM Adrian Farrel <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Hi Ted,
>
>     Pardon the top post…
>
>     If I read you correctly, you are saying that the communication
>     from the RSOC to Heather was simply a statement of what they
>     planned to recommend to the IAB, and not a statement of the
>     process that had been agreed and was being executed.
>
>     Right?
>
>

---

From: Ted Hardie <[email-masked]>
Date: Mon, 24 Jun 2019 12:18:15 -0700

On Mon, Jun 24, 2019 at 11:46 AM Michael StJohns <[email-masked]>
wrote:

> 1) The RSOC decided to renew then cancel the contract for "RFP purposes" -
> that RSOC meeting had the two IAB members Christian and Robert attending
> and agreeing.
> 2) The IAB meeting reviewed the "decision"/"recommendation" and allowed it
> to go forward.
No.  It is neither correct as to timeline nor as to process.  To reiterate:

The RSOC decided to recommend to the IAB the current contract renewed for 2
years.  Their recommendation also included this text:

"Our full  recommendation is to reup at the end of this year, and then go
out
  to bid in 2021 for the 2022 timeframe. The decision to rebid is
  explicitly not a comment on Heathers performance as RSE, but rather,
  our desire to collect more data and refine the process."

Before the IAB meeting occurred in which this would ne discussed, the IAB
received Heather's notice that she did not choose to renew.  Since these
renewals are by mutual agreement, that is entirely at her discretion.
Because of her decision, none of the rest of the activity in the normal
process (IAB consideration of the recommendation, IETF LLC renewing, etc.)
took place.

Q2-4:  Is there *any* indication that anyone from the RSOC told Heather
> this was not the final decision and that it was subject to IAB approval and
> subsequent LLC approval?
>
> The RSOC's message to the RSE noted that it was the recommendation going
to the IAB.  Since Heather has gone through this multiple times before, she
is familiar with this process.  The only change from previous renewals or
contract awards was the shift from IAOC to IETF LLC, which would be at a
later stage of the process.

> I'm having problems with this being cast as a misunderstanding of the

My apologies if what I wrote was read to say that she did not understand.
I believe Heather's note indicates she understood the state of the
process.  The clarifications on the process were for members of the
community who may not have lived with RFC 6635 as long as she has done.

regards,

Ted Hardie

---

From: Michael StJohns <[email-masked]>
Date: Mon, 24 Jun 2019 15:31:58 -0400

On 6/24/2019 12:22 PM, Ted Hardie wrote:
> On Sat, Jun 22, 2019 at 9:31 AM Michael StJohns <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>
>     Contract" as an executive session item.  I also note with
>     interest, that there is no RSE item on the schedule for the next
>     IAB session (26 June).
>
>     I'm at a loss to understand why the contract item was an Exec
>     session item - contract discussions on terms, recompensation -
>     things that are generally considered personnel actions, sure those
>     are exec discussions. Talking about a decision to renew then
>     terminate the contract for reasons not related to performance (or
>     so we've been told by the RSOC), not so much.   It would be
>     helpful if the IAB were to release the minutes on this section of
>     their last meeting to provide the community with more context on
>     how they've been making RSE related decisions.  That may serve to
>     answer some of Aaron's questions.
>
>
> Mike,
>

I saw them - didn't think much of them.  There's a difference between 
talking strategy for the RSE series (e.g. how do we get more bidders - 
when do we need to be thinking about that) and things that are normally 
tied to personnel actions.     This feels from the outside - at least to 
me - more of an attempt to slip a personnel decision into the pile 
masquerading as a strategic direction.

>
> It is normal to consider the RSOC's recommendation on the continuation 
> of the contract in executive session, since the scope of the 
> discussion may be wide.  In this case, the session changed a bit when 
> Heather's decision came in, to focus on recruitment.

So let me ask - when did the RSOC inform the IAB of its decision?

Who from the IAB besides Christian and Robert were aware on 6 June that 
the RSOC was about to send the note to Heather?

When you received Heather's note declining the extension and her reasons 
for it, did you discuss asking her to reconsider?   At this point, it 
was all still "private" and could have been remediated.   Or was the 
resignation a "good" or "ok" result as far as the IAB was concerned?   
AFAICT, it was about 10 days from resignation to public announcement and 
6 days after the IAB meeting.

>
>     My question still stands - why did the IAB/RSOC feel the need to
>     take the termination action 2.5 years prior to the expiration of
>     the renewal - I'm not really buying the "we wanted to revamp the
>     RFP process" statement. Shouldn't that have been the decision of
>     the (differently composed) IAB of 1 or 2 years in the future?
>
>
> As I noted in my message to Aaron, the RSOC makes a recommendation on 
> the continuation of the contract to the IAB, which then considers and 
> confirms with the IASA (IAOC or LLC).  None of the rest of the process 
> had run when Heather made her decision.  It is possible that it would 
> have changed, either in discussion with the IAB now or during the 
> decision in two years to proceed with the RFP, but the process did not 
> reach that point.

And if the IAB/RSOC had done its job, they would have simply told 
Heather that she was being renewed for another 2 years per the contract, 
and left the discussion of the RFP process to later. Of course, this 
could have been a mistake by the RSOC and all of them are resigning?  Or 
a mistake by the IAB and they have a remediation plan to prevent this 
from happening?

In any event, the RSOC (and I would assume the IAB) really wanted to put 
this up for bid at the end of the term - quoting from your other email:

>     respondents. _*We recognize that with 2020 coming closer, the 
> ability *__*
> *__*    to rebid in the short term would be too narrow. *_

RFP processes are costly both to the offeror and to the bidder. Unless 
there was a perceived concrete benefit, redoing an RFP simply for the 
sake of re-doing an RFP makes no business sense. In this case, you've 
probably eliminated the most qualified candidate as a future bidder by 
doing what the contract allowed you to do,  instead of doing what you 
should have done.

It may be time for the community to reconsider the RSOC/IAB relationship 
and whether or not that board should be independent of the IAB.  It's 
probably also time to consider the impact of the LLC changes on the 
contractual oversight pieces of the RSE process.

It's my belief formed over the 35+ years I've been involved, that it's 
important  for the community to have an independent RSE, and publication 
stream, and to the greatest extent possible, an RSE whole is an equal 
partner with the IAB, IESG, IRTF and the IETF participants and not just 
a "contractor".  I'm afraid I'm not seeing that same vision from the 
current overseers and that diminishes the community in ways that we will 
regret.

Later, Mike

>>     I think it is not controversial to say this is a bad outcome.
>>     Heather leaving as RSE because she felt she didn’t have the
>>     authority or autonomy to perform the job is not good for the RFC
>>     Series or the IETF. It also will make it harder to recruit a high
>>     quality replacement.
>>
>>     community, we can consider whether changes should are made to
>>     address any underlying problems. While the RSOC has provided a
>>     statement, I think the IAB also needs to be accountable per RFC6635
>>
>>         Was either the RSOC or the IAB ‘unhappy’ with the RSE? Or
>>         believe the community is unhappy with the RSE? If so, for
>>         what reason? If not, why the interest in finding additional
>>         bidders?
>>
>>      *
>>
>>         The concerns about performance against the SLA seem related
>>         to the RSOC forgetting earlier warnings by the RSE that
>>         production rates would slip during migration to the new
>>         format. So, why did the IAB remove half of the RSOC
>>         process for the current RSE)? After all, RFC 6635 states a
>>         purpose of the RSOC is to provide institutional knowledge:
>>
>>     |In order to provide continuity over periods longer than the
>>     NomCom appointment cycle [RFC3777] and assure that oversight
>>     includes suitable subject matter expertise, the IAB will
>>     establish a group that implements oversight for the IAB, the RFC
>>     Series Oversight Committee (RSOC). |
>>
>>       * Will the IAB commit to report to the community what it
>>         concludes went wrong and what should be done to prevent
>>         similar unfortunate outcomes?
>>
>>     --aaron
>>
>>         perceptions of what’s happened. I want to share my thinking
>>         and perceptions behind my decision not to renew my contract
>>         as RSE at the end of this year.
>>
>>         My view for the RFC Series is one that supports making
>>         available high-quality technical documents by and for the
>>         Internet, from a variety of sources. My view for the RFC
>>         Editor is one that supports a technology-neutral but highly
>>         skilled partner in the process. The RFC Series Editor
>>         represents those views in an equal role to the various stream
>>         managers. The IETF is the RFC Editor’s biggest client, so the
>>         collaboration between the organizations is critical. But it
>>         needs to *be* a collaboration, where both sides respect the
>>         skills and knowledge of the other. It is not a subordinate
>>         relationship, where the RFC Editor is simply a group offering
>>         services are useful but not truly critical. It is also not a
>>         relationship where the strategy and decisions for the Series
>>         Over the last year, I’ve seen the rfcplusplus BoF happen,
>>         against my recommendation. My oversight committee, which is a
>>         group that I must work with most closely, was almost
>>         completely replaced without any input from me. I have what
>>         essentially acts as a design team, the RFC Series Advisory
>>         Group. They generally aren’t consulted either. The RSOC/IAB
>>         is pushing hard on the missed SLA, not acknowledging that
>>         statements were made (with full support and understanding of
>>         earlier leadership cohorts) on plenary stage and in meetings
>>         that the SLA would be missed as the format tool testing and
>>         transition ramped up. And then I see the new RSOC completely
>>         ignore the learnings of the first and second RFPs for the RSE
>>         role, and make recommendations again without input from
>>         said,  RSOC/IAB have done nothing that they aren’t allowed to
>>         do in their various charters. But if that’s the way the
>>         organization is going to be run, I don’t feel like I’m at all
>>         a good fit for how business is handled.  I would rather find
>>         other ways I can be effective in helping to do my part in
>>         improving the Internet.
>>
>>         My interpretation of events of the last year as described
>>         above, culminating with the decision to put the RSE contract
>>         out to bid at year four instead of year six, is that my view
>>         for the RFC Series and the RFC Editor are not aligned with
>>         the expectations of the IETF leadership. At the end of the
>>         day, I am a contractor, and what I see here is a relationship
>>         with a client that is unhappy with my performance, but they
>>         can’t or won’t tell me why. Rather than drag this out, I
>>         think it’s best to let the client go, and the communities
>>         that depend on the RFC Series can decide what it is they
>>         I will do what I can, within reason, to ensure a smooth
>>         transition to a new RSE. And I will be in Montreal and
>>         Singapore, where I hope to tell many of you in person just
>>         how much I’ve enjoyed working with you over the last seven
>>         years. Thank you for the well wishes, and best of fortunes
>>         into the next stage of evolution for the IETF and the RFC Editor!
>>

---

From: Kathleen Moriarty <[email-masked]>
Date: Tue, 25 Jun 2019 07:04:25 -0400

On Mon, Jun 24, 2019 at 3:32 PM Michael StJohns <[email-masked]>
wrote:

>> generally considered personnel actions, sure those are exec discussions.
>> Talking about a decision to renew then terminate the contract for reasons
>> not related to performance (or so we've been told by the RSOC), not so
>> much.   It would be helpful if the IAB were to release the minutes on this
>> section of their last meeting to provide the community with more context on
>> how they've been making RSE related decisions.  That may serve to answer
>> some of Aaron's questions.
>>
>>
> Mike,
>
> talking strategy for the RSE series (e.g. how do we get more bidders - when
> do we need to be thinking about that) and things that are normally tied to
> personnel actions.     This feels from the outside - at least to me - more
> of an attempt to slip a personnel decision into the pile masquerading as a
> strategic direction.
>
>
> for it, did you discuss asking her to reconsider?   At this point, it was
> all still "private" and could have been remediated.   Or was the
> AFAICT, it was about 10 days from resignation to public announcement and 6
> days after the IAB meeting.
>
>
>
>
>
> And if the IAB/RSOC had done its job, they would have simply told Heather
> that she was being renewed for another 2 years per the contract, and left
> the discussion of the RFP process to later.   Of course, this could have
> been a mistake by the RSOC and all of them are resigning?  Or a mistake by
> the IAB and they have a remediation plan to prevent this from happening?
>
>     respondents. *We recognize that with 2020 coming closer, the ability *
> *     to rebid in the short term would be too narrow. *
>
> there was a perceived concrete benefit, redoing an RFP simply for the sake
> of re-doing an RFP makes no business sense.  In this case, you've probably
> eliminated the most qualified candidate as a future bidder by doing what
> the contract allowed you to do,  instead of doing what you should have done.
>
> partner with the IAB, IESG, IRTF and the IETF participants and not just a
> "contractor".  I'm afraid I'm not seeing that same vision from the current
> overseers and that diminishes the community in ways that we will regret.
>

I have to agree with Mike here.  The outcome of the RFC++ BoF made this
last part pretty clear that the separation is valuable.  However in Ted's
go-forward note, it appears as if a path to get closer to some of the
proponents goals for the RFC++ BoF are proposed.  Where will the discussion
take place for the go-forward as I think community involvement will be key
and hopefully the community will have the time for this (should have been
unnecessary at this time) activity.

I am interested to see answers to Mike's questions.

Regards,
Kathleen

-- 

Best regards,
Kathleen

---

From: Richard Barnes <[email-masked]>
Date: Tue, 25 Jun 2019 05:12:03 -0700

On Tue, Jun 25, 2019 at 4:05 AM Kathleen Moriarty <
[email-masked]> wrote:

>>> the termination action 2.5 years prior to the expiration of the renewal -
>>> I'm not really buying the "we wanted to revamp the RFP process" statement.
> last part pretty clear that the separation is valuable.
>

Katheen and Mike, maybe you could expand on why you think this separation
is valuable?

It seems to me that the primary way the RFC editor adds value to the world
is by publishing the IAB and IETF's documents.  So a close association
seems appropriate.

--Richard

> However in Ted's go-forward note, it appears as if a path to get closer to
> some of the proponents goals for the RFC++ BoF are proposed.  Where will
> the discussion take place for the go-forward as I think community
> involvement will be key and hopefully the community will have the time for
> this (should have been unnecessary at this time) activity.
>
>>> of what’s happened. I want to share my thinking and perceptions behind my

---

From: Leif Johansson <[email-masked]>
Date: Tue, 25 Jun 2019 15:41:42 +0200

Skickat från min iPhone

> 25 juni 2019 kl. 14:12 skrev Richard Barnes <[email-masked]>:
> 
> 
> 
>> On Tue, Jun 25, 2019 at 4:05 AM Kathleen Moriarty <[email-masked]> wrote:
>> 
>> 
>>> On Mon, Jun 24, 2019 at 3:32 PM Michael StJohns <[email-masked]> wrote:
>>>> On Sat, Jun 22, 2019 at 9:31 AM Michael StJohns <[email-masked]> wrote:
>>>>> 
>>>>> I note with interest that the last IAB session (12 June)  had "RSE Contract" as an executive session item.  I also note with interest, that there is no RSE item on the schedule for the next IAB session (26 June).
>>>>> 
>>>>> I'm at a loss to understand why the contract item was an Exec session item - contract discussions on terms, recompensation - things that are generally considered personnel actions, sure those are exec discussions.  Talking about a decision to renew then terminate the contract for reasons not related to performance (or so we've been told by the RSOC), not so much.   It would be helpful if the IAB were to release the minutes on this section of their last meeting to provide the community with more context on how they've been making RSE related decisions.  That may serve to answer some of Aaron's questions.  
>>>>> 
>>>> 
>>>> Mike,
>>>> 
>>> I saw them - didn't think much of them.  There's a difference between talking strategy for the RSE series (e.g. how do we get more bidders - when do we need to be thinking about that) and things that are normally tied to personnel actions.     This feels from the outside - at least to me - more of an attempt to slip a personnel decision into the pile masquerading as a strategic direction.
>>> 
>>>> 
>>>> It is normal to consider the RSOC's recommendation on the continuation of the contract in executive session, since the scope of the discussion may be wide.  In this case, the session changed a bit when Heather's decision came in, to focus on recruitment.
>>> Who from the IAB besides Christian and Robert were aware on 6 June that the RSOC was about to send the note to Heather?    
>>> 
>>> When you received Heather's note declining the extension and her reasons for it, did you discuss asking her to reconsider?   At this point, it was all still "private" and could have been remediated.   Or was the resignation a "good" or "ok" result as far as the IAB was concerned?   AFAICT, it was about 10 days from resignation to public announcement and 6 days after the IAB meeting.
>>> 
>>> 
>>> 
>>>> 
>>>>  
>>>> As I noted in my message to Aaron, the RSOC makes a recommendation on the continuation of the contract to the IAB, which then considers and confirms with the IASA (IAOC or LLC).  None of the rest of the process had run when Heather made her decision.  It is possible that it would have changed, either in discussion with the IAB now or during the decision in two years to proceed with the RFP, but the process did not reach that point.
>>> And if the IAB/RSOC had done its job, they would have simply told Heather that she was being renewed for another 2 years per the contract, and left the discussion of the RFP process to later.   Of course, this could have been a mistake by the RSOC and all of them are resigning?  Or a mistake by the IAB and they have a remediation plan to prevent this from happening?  
>>> 
>>> In any event, the RSOC (and I would assume the IAB) really wanted to put this up for bid at the end of the term - quoting from your other email:
>>> 
>>>>     to rebid in the short term would be too narrow.
>>> RFP processes are costly both to the offeror and to the bidder.  Unless there was a perceived concrete benefit, redoing an RFP simply for the sake of re-doing an RFP makes no business sense.  In this case, you've probably eliminated the most qualified candidate as a future bidder by doing what the contract allowed you to do,  instead of doing what you should have done.
>>> 
>>> It may be time for the community to reconsider the RSOC/IAB relationship and whether or not that board should be independent of the IAB.  It's probably also time to consider the impact of the LLC changes on the contractual oversight pieces of the RSE process.
>>> 
>>> It's my belief formed over the 35+ years I've been involved, that it's important  for the community to have an independent RSE, and publication stream, and to the greatest extent possible, an RSE whole is an equal partner with the IAB, IESG, IRTF and the IETF participants and not just a "contractor".  I'm afraid I'm not seeing that same vision from the current overseers and that diminishes the community in ways that we will regret. 
>>> 
>> 
>> I have to agree with Mike here.  The outcome of the RFC++ BoF made this last part pretty clear that the separation is valuable. 
> 
> Katheen and Mike, maybe you could expand on why you think this separation is valuable?
> 
> It seems to me that the primary way the RFC editor adds value to the world is by publishing the IAB and IETF's documents.  So a close association seems appropriate.
> 

https://en.m.wikipedia.org/wiki/Montesquieu

> --Richard
> 
>  
>> However in Ted's go-forward note, it appears as if a path to get closer to some of the proponents goals for the RFC++ BoF are proposed.  Where will the discussion take place for the go-forward as I think community involvement will be key and hopefully the community will have the time for this (should have been unnecessary at this time) activity.
>> 
>>>>>> I think it is not controversial to say this is a bad outcome. Heather leaving as RSE                       because she felt she didn’t have the authority or autonomy to perform the job is not good for the RFC Series or the IETF. It also will make it harder to recruit a high quality replacement.
>>>>>> 
>>>>>> I think it’s worth trying to understand what went wrong so, as a community, we can consider whether changes should are made to address any underlying problems. While the RSOC has provided a statement, I think the IAB also needs to be accountable per RFC6635
>>>>>> 
>>>>>> Was either the RSOC or the IAB ‘unhappy’ with the RSE? Or believe the community is unhappy with the RSE? If so, for what reason? If not, why the interest in finding additional bidders?
>>>>>> 
>>>>>> The concerns about performance against the SLA seem related to the RSOC forgetting earlier warnings by the RSE that production rates would slip during migration to the new format. So, why did the IAB remove half of the RSOC in 2018 (including those members who were part of the search process for the current RSE)? After all, RFC 6635 states a purpose of the RSOC is to provide institutional knowledge:
>>>>>> 
>>>>>> Will the IAB commit to report to the community what it concludes went wrong and what should be done to prevent similar unfortunate outcomes?
>>>>>> --aaron
>>>>>>

---

From: Richard Barnes <[email-masked]>
Date: Tue, 25 Jun 2019 06:50:12 -0700

On Tue, Jun 25, 2019 at 6:41 AM Leif Johansson <[email-masked]> wrote:

>> On Mon, Jun 24, 2019 at 3:32 PM Michael StJohns <[email-masked]
>> <mstjohns@comcast..net>> wrote:
>>
>>> of the contract in executive session, since the scope of the discussion may
>>> be wide.  In this case, the session changed a bit when Heather's decision
>>> came in, to focus on recruitment.
>>>
>>> confirms with the IASA (IAOC or LLC).  None of the rest of the process had
>>> run when Heather made her decision.  It is possible that it would have
>>> changed, either in discussion with the IAB now or during the decision in
>>> two years to proceed with the RFP, but the process did not reach that point.
>>>
>>> could have been a mistake by the RSOC and all of them are resigning?  Or a
>>> mistake by the IAB and they have a remediation plan to prevent this from
>>> happening?
>>>

Maybe I'm being dense, but a few more words might be helpful :)

--Richard

>
> --Richard
>
>
>
>> However in Ted's go-forward note, it appears as if a path to get closer
>> to some of the proponents goals for the RFC++ BoF are proposed.  Where will

---

From: Kathleen Moriarty <[email-masked]>
Date: Tue, 25 Jun 2019 10:05:19 -0400

> is by publishing the IAB and IETF's documents.  So a close association

This statement goes back to the RFC++ BoF, you left out the IRTF and ISE in
your list of where the RFC editor adds value and the community made it
pretty clear that it sees values in streams other then just the IETF and
IAB streams.  If the RFC editor did not have the "separation of powers"
Lief cited, the community may not have had a voice in outcomes of the RFC++
BoF.

-Kathleen

-- 

Best regards,
Kathleen

---

From: Richard Barnes <[email-masked]>
Date: Tue, 25 Jun 2019 07:19:51 -0700

On Tue, Jun 25, 2019 at 7:05 AM Kathleen Moriarty <
[email-masked]> wrote:

>>>> When you received Heather's note declining the extension and her
>>>> reasons for it, did you discuss asking her to reconsider?   At this point,
>>>> it was all still "private" and could have been remediated.   Or was the
>>>> In any event, the RSOC (and I would assume the IAB) really wanted to
>>>> put this up for bid at the end of the term - quoting from your other email:
>>>>
>>>> It may be time for the community to reconsider the RSOC/IAB
>>>> relationship and whether or not that board should be independent of the
>>>> IAB.  It's probably also time to consider the impact of the LLC changes on
>>>> the contractual oversight pieces of the RSE process.
>>>>
>> It seems to me that the primary way the RFC editor adds value to the
>> world is by publishing the IAB and IETF's documents.  So a close
>> association seems appropriate.
>>
>
> This statement goes back to the RFC++ BoF, you left out the IRTF and ISE
> in your list of where the RFC editor adds value and the community made it

I'm happy to include IRTF and ISE; their omission was a simple oversight.
But even if we expand my statment to say "The primary way the RFC editor
adds value is by publishing IAB/IETF/IRTF/ISE documents", then wouldn't the
natural course be, for example, for the owners of those streams to
collectively oversee the RFC editor?

In other words, form follows function -- the proper for selection and
management of the RFC editor should be based on what we expect the that
role to accomplish.  I'm not understanding what desired function would be
driving the need for independent powers.

--Richard

>>>>> a new RSE. And I will be in Montreal and Singapore, where I hope to tell
>>>>> many of you in person just how much I’ve enjoyed working with you over the
>>>>> last seven years. Thank you for the well wishes, and best of fortunes into
>>>>> the next stage of evolution for the IETF and the RFC Editor!
>>>>>

---

From: Kathleen Moriarty <[email-masked]>
Date: Tue, 25 Jun 2019 10:32:55 -0400

On Tue, Jun 25, 2019 at 10:20 AM Richard Barnes <[email-masked]> wrote:

>>>>> Who from the IAB besides Christian and Robert were aware on 6 June
>>>>> that the RSOC was about to send the note to Heather?
>>>>>
>>>>> RFP processes are costly both to the offeror and to the bidder.
>>>>> Unless there was a perceived concrete benefit, redoing an RFP simply for
>>>>> the sake of re-doing an RFP makes no business sense.  In this case, you've

The largest customer would likely wind up with the most power in this
relationship.  The current structure has allowed the RSE to maintain the
streams as an archive series and preserve important properties of the
separate streams.  The independence allows the RSE to have a clear and open
voice on the RFC series and management of the collective streams as opposed
to being subordinate to the various stream owners.  This is a difficult to
work with community and pressure is applied in many directions, this
independence may be key to keeping an RSE long term.

Best regards,
Kathleen

>>>>>>    The concerns about performance against the SLA seem related to
>>>>>>    the RSOC forgetting earlier warnings by the RSE that production rates would
>>>>>>    - Will the IAB commit to report to the community what it
>>>>>>    concludes went wrong and what should be done to prevent similar unfortunate
>>>>>>    outcomes?
>>>>>>
>>>>>> --aaron
>>>>>>
>>>>>> perceptions of what’s happened. I want to share my thinking and perceptions
>>>>>> behind my decision not to renew my contract as RSE at the end of this year.
>>>>>>

-- 

Best regards,
Kathleen

---

From: Leif Johansson <[email-masked]>
Date: Tue, 25 Jun 2019 16:37:44 +0200

Skickat från min iPhone

> 25 juni 2019 kl. 15:50 skrev Richard Barnes <[email-masked]>:
> 
> 
> 

Sorry, I thought the theory of separation of powers was required reading in US schools.

---

From: Leif Johansson <[email-masked]>
Date: Tue, 25 Jun 2019 16:39:36 +0200

Skickat från min iPhone

> 25 juni 2019 kl. 16:32 skrev Kathleen Moriarty <[email-masked]>:
> 
> 
> 
>>> On Tue, Jun 25, 2019 at 7:05 AM Kathleen Moriarty <[email-masked]> wrote:
>>> 
>>> 
>>> This statement goes back to the RFC++ BoF, you left out the IRTF and ISE in your list of where the RFC editor adds value and the community made it pretty clear that it sees values in streams other then just the IETF and IAB streams.  If the RFC editor did not have the "separation of powers" Lief cited, the community may not have had a voice in outcomes of the RFC++ BoF. 
>> 
>> I'm happy to include IRTF and ISE; their omission was a simple oversight.  But even if we expand my statment to say "The primary way the RFC editor adds value is by publishing IAB/IETF/IRTF/ISE documents", then wouldn't the natural course be, for example, for the owners of those streams to collectively oversee the RFC editor?
>> 
>> In other words, form follows function -- the proper for selection and management of the RFC editor should be based on what we expect the that role to accomplish.  I'm not understanding what desired function would be driving the need for independent powers.  
> 
> The largest customer would likely wind up with the most power in this relationship.  The current structure has allowed the RSE to maintain the streams as an archive series and preserve important properties of the separate streams.  The independence allows the RSE to have a clear and open voice on the RFC series and management of the collective streams as opposed to being subordinate to the various stream owners.  This is a difficult to work with community and pressure is applied in many directions, this independence may be key to keeping an RSE long term.  

Good summary of introductory political philosophy there Kathleen :-)

---

From: Richard Barnes <[email-masked]>
Date: Tue, 25 Jun 2019 07:52:15 -0700

> Sorry, I thought the theory of separation of powers was required reading

Yes, Leif, I am familiar with the idea.  (The sardonic tone here is not
helpful.)  I continue to be unclear on how you think it applies here.

--Richard

---

From: Ted Lemon <[email-masked]>
Date: Tue, 25 Jun 2019 11:00:00 -0400

Is there a real problem here that has manifested in the form of incorrect outcomes, or is this hypothetical?

Sent from my iPhone

> On Jun 25, 2019, at 10:32 AM, Kathleen Moriarty <[email-masked]> wrote:
> 
> 
>

---

From: Kyle Rose <[email-masked]>
Date: Tue, 25 Jun 2019 11:14:29 -0400

> helpful.)  I continue to be unclear on how you think it applies here.

I think the point Leif might be making is that it's not clear the IAB is
independent enough of the IESG to function as an effective overseer for the
RSE, which has responsibility for good faith management of at least one
document stream for which there has been historical friction with the IESG,
the independent stream.

The RFC++ BoF made it clear that there are many folks who would like to see
the RFC series admission criteria radically altered, and not exactly a
stretch to see this kerfuffle with the RSE as an attempt to avoid the need
to achieve rough consensus on RFC series control. (I'm not saying I
personally hold this viewpoint, only that it's not an unreasonable
viewpoint to hold.)

---

From: Leif Johansson <[email-masked]>
Date: Tue, 25 Jun 2019 17:14:39 +0200

Skickat från min iPhone

> 25 juni 2019 kl. 16:52 skrev Richard Barnes <[email-masked]>:
> 
> 
> 
> Yes, Leif, I am familiar with the idea.  (The sardonic tone here is not helpful.)  I continue to be unclear on how you think it applies here.
> 
> --Richard
> 

I refer you to Kathleens excellent summary with which I agree fully.

---

From: Leif Johansson <[email-masked]>
Date: Tue, 25 Jun 2019 17:27:55 +0200

Skickat från min iPhone

> 25 juni 2019 kl. 17:00 skrev Ted Lemon <[email-masked]>:
> 

I am personally willing to (at least for the time being) entertain the hypothesis that the RSEs departure is related to a lack of independence since she said so in her email.

>> The largest customer would likely wind up with the most power in this relationship..  The current structure has allowed the RSE to maintain the streams as an archive series and preserve important properties of the separate streams..  The independence allows the RSE to have a clear and open voice on the RFC series and management of the collective streams as opposed to being subordinate to the various stream owners.  This is a difficult to work with community and pressure is applied in many directions, this independence may be key to keeping an RSE long term.  
>> 
>> Best regards,
>> Kathleen
>>  
>>> 
>>> --Richard
>>> 
>>>  
>>>> 
>>>> -Kathleen
>>>> 
>>>>> 
>>>>> --Richard
>>>>> 
>>>>>

---

From: Ted Lemon <[email-masked]>
Date: Tue, 25 Jun 2019 13:36:23 -0400

> I am personally willing to (at least for the time being) entertain the hypothesis that the RSEs departure is related to a lack of independence since she said so in her email.

Believe it or not this and Kathleen’s response were precisely the clue-by-fours I needed to understand the issue.   I’d been seeing from the perspective that independent oversight was what created the problem, rather than that a lack of independence was the problem, but now that you’ve connected this back to what Heather said, I think I get it.

Thanks!

---

From: Randy Bush <[email-masked]>
Date: Tue, 25 Jun 2019 13:32:13 -0700

> helpful.)  I continue to be unclear on how you think it applies here.

QED

randy

---

From: Randy Bush <[email-masked]>
Date: Tue, 25 Jun 2019 13:39:00 -0700

> I'm happy to include IRTF and ISE; their omission was a simple
> oversight.  But even if we expand my statment to say "The primary way
> the RFC editor adds value is by publishing IAB/IETF/IRTF/ISE
> documents", then wouldn't the natural course be, for example, for the
> owners of those streams to collectively oversee the RFC editor?

as those august bodies oversaw postel, braden, ... oh wait.

this all looks to be a sequel to the rfc++ bof.  it's trumpian
times, if one can not win the argument, escalate and destroy.

randy

---

From: Richard Barnes <[email-masked]>
Date: Tue, 25 Jun 2019 13:44:37 -0700

> as those august bodies oversaw postel, braden, ... oh wait.

Postel was dead before I entered university, so I missed that era, and
might be misunderstanding what you mean.  But just so I'm clear, you think
we should pay someone to be RSE, and have nobody reviewing their work?

--Richard

---

From: Randy Bush <[email-masked]>
Date: Tue, 25 Jun 2019 13:48:53 -0700

> Postel was dead before I entered university

occasionally age is a benefit

> so I'm clear, you think we should pay someone to be RSE, and have
> nobody reviewing their work?

those are your words, not mine.

until the corporitization (rfced forgive me) of the ietf, cooperation,
stewardship, and integrity were more important than hierarchy.

randy

---

From: Richard Barnes <[email-masked]>
Date: Tue, 25 Jun 2019 13:56:31 -0700

> occasionally age is a benefit

Yes, but eventually it isn't.  If you don't bring anyone new into your
community, your community doesn't last long.  So maybe help educate us
young'uns?

> stewardship, and integrity were more important than hierarchy.

 I'm honestly trying to understand what you're saying here.  Are you saying
that we need to focus efforts on finding an RSE that displays those values,
as opposed to trying to guard against failures of those values?

--Richard

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 26 Jun 2019 08:59:48 +1200

(Excuse vicious trimming of the text, but it was getting a bit long...)
> On Tue, Jun 25, 2019 at 10:20 AM Richard Barnes <[email-masked]> wrote:
...>>     I'm happy to include IRTF and ISE; their omission was a simple oversight.  But even if we expand my statment to say "The primary way the RFC editor adds value is by publishing IAB/IETF/IRTF/ISE documents", then wouldn't the natural course be, for example, for the owners of those streams to collectively oversee the RFC editor?
>>     In other words, form follows function -- the proper for selection and management of the RFC editor should be based on what we expect the that role to accomplish.  I'm not understanding what de…

It isn't the role of the RSE that is causing angst here; it is the editorial
independence of the RFC series as a publication venue. Some of us at least
believe that it's independence of thought and publication that have led to
the success of the Internet technical community as a whole. The IETF, IRTF
and IAB are not sacred; to a considerable extent these RFC "streams" are
artefacts.
 
> The largest customer would likely wind up with the most power in this relationship.  

Indeed, *if* the word "customer" is the right one. But look at it the other
way round: if the RFC series is the customer, its largest supplier is the IETF.
From the point of view of the whole Internet technical community, that's
an equally valid perspective (and many in that community now think that
the IETF is broken).

> The current structure has allowed the RSE to maintain the streams as an archive series and preserve important properties of the separate streams.  The independence allows the RSE to have a clear and open voice on the RFC series and management of the collective streams as opposed to being subordinate to the various stream owners.  This is a difficult to work with community and pressure is applied in many directions, this independence may be key to keeping an RSE long term. 

More seriously, it may be key to keeping an RFC series in the long term.
 
Regards,
    Brian

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 25 Jun 2019 14:01:34 -0700

Honestly, I'm kind of puzzled as to what is being espoused here.

One argument I've heard frequently in this discussion is that
the RFC series is bigger than the IETF and so any changes need
to be signed off by a broader community, To pick an example
of this theme:

   A first important consequence is that major decisions about the
   future of the RFC Series must be taken by a consensus of a very broad
   community.  That doesn't mean the IETF or the IAB.  It means the IETF
   and IAB, plus the IRTF, plus many other people who have contributed
   to, or made use of, the RFC Series over the last fifty years.  How to
   reach out to this community is in itself a big question.

https://tools.ietf.org/html/draft-carpenter-request-for-comments-01#section-3

However, as with any community process, someone must ultimately be
responsible for determining what has consensus. At present, that
responsibility seems primarily to have been given to the IAB, though
presumably we could invent some other structure. However, I'm somewhat
at a loss to understand what you're getting at here:

Either the RSE is responsible to the community or they are not. If
they are, then there needs to be some mechanism for ensuring that.  If
not, well, that's certainly a model (in the open source community it's
often called BDFL), but I think would need a stronger argument than
you seem to be offering here. Or do I misunderstand you?

-Ekr

---

From: Ted Hardie <[email-masked]>
Date: Tue, 25 Jun 2019 14:01:51 -0700

> as those august bodies oversaw postel, braden, ... oh wait.

For those who have not had to look it all up recently, the IAB's role here
has evolved as the RFC Editor model has evolved, but the appointment
function goes back to at least RFC 1358 (see section 8) in 1992.  That was
adjusted slightly in RFC 1601 when NomCom appointments were introduced (the
RFC Editor text is in Section 2, subsection d) in 1994.  It was also
described in RFC 2850, (again in Section 2 d) in 2000.  All of the updates
which relate to looking at the series as a set of streams are in the RFC
model documents (RFC 5620 and RFC 6635) whose initial publication was in
2009 and update in 2012.

regards,

Ted Hardie

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 26 Jun 2019 09:02:48 +1200

> Is there a real problem here that has manifested in the form of incorrect outcomes, or is this hypothetical?

I would say that the premature resignation of a splendid series editor is an incorrect outcome.

     Brian

---

From: "Matthew A. Miller" <[email-masked]>
Date: Tue, 25 Jun 2019 15:03:29 -0600

All,

We urge you all to keep the discussion professional and respectful.
This discussion is important to have clearly; let's keep it active but
respectful of others.

-
IETF Sargent-at-arms

---

From: Ted Lemon <[email-masked]>
Date: Tue, 25 Jun 2019 18:17:19 -0400

> I would say that the premature resignation of a splendid series editor is an incorrect outcome.

I agree; my question was whether the absence of presence of separation of powers was why that had happened.   The reason I was probing on this is that it seemed like a fair amount of the discussion of this has focused on issues that likely didn’t at least directly lead to the resignation.   E.g., although it may have sucked that there was going to be a re-bid, the re-bid wasn’t the core problem that led to this outcome.

---

From: Mike StJohns <[email-masked]>
Date: Tue, 25 Jun 2019 18:19:29 -0400

Sent from my iPad

> On Jun 25, 2019, at 17:01, Ted Hardie <[email-masked]> wrote:
> 
> For those who have not had to look it all up recently, the IAB's role here has evolved as the RFC Editor model has evolved, but the appointment function goes back to at least RFC 1358 (see section 8) in 1992.  That was adjusted slightly in RFC 1601 when NomCom appointments were introduced (the RFC Editor text is in Section 2, subsection d) in 1994.  It was also described in RFC 2850, (again in Section 2 d) in 2000.  All of the updates which relate to looking at the series as a set of streams are in the RFC model documents (RFC 5620 and RFC 6635) whose initial publication was in 2009 and update in 2012.  
> 

Just because the IAB said it was so, doesn’t mean it was true.  In 1992, the RFC series was work product of ISI and wholly funded by the US Govt in the form of contracts from NSF and DARPA ( and in fact a contract funded by my program at DARPA).  I know for a fact that funding continued at least until 1996 or later.  

The IAB had no power to appoint an RFC editor, nor did anyone in the I* community until ISI ceded control of the series near the end of Bob and Joyce’s tenure at the communities request.  I’m pretty sure ISI would have laughed at such an attempt.  

What the document should have said that would have been true is that the IAB could select the publication path for I* related documents.  That’s still true today.   

That said, Jon was as agreeable a person as anyone I’ve ever met.  Had the IAB tried to claim ownership of the series, I’m sure he probably would have handed it off with his best wishes for success and a suggestion of where to find funding.   We’re fortunate that the IAB of that period had more sense.  

Mike

---

From: Ted Hardie <[email-masked]>
Date: Tue, 25 Jun 2019 16:12:46 -0700

Hi Mike,

On Tue, Jun 25, 2019 at 3:19 PM Mike StJohns <[email-masked]> wrote:

On Tue, Jun 25, 2019 at 1:39 PM Randy Bush <[email-masked]> wrote:

Just because the IAB said it was so, doesn’t mean it was true.

Jon was the RFC editor during the production of RFC 1358 and RFC 1601, and
he was also on the IAB as a member, then as IRTF chair, then as RFC Editor
Liaison, basically from 1990-1998.  It's hard to credit that he did not
read and comment on those documents in one of those two roles.
The documents through RFC 2850 all predate the split into streams, so even
RFC 2850 has to be read as the RFC Series having this text, rather than it
being an assertion of the IAB alone within its own stream.  I will leave it
to Brian, who authored RFC 2850, to discuss the extent to which it was a
community document, but I do note it is a BCP.

regards,

Ted Hardie

---

From: Leif Johansson <[email-masked]>
Date: Wed, 26 Jun 2019 02:00:11 +0200

Skickat från min iPhone

> 25 juni 2019 kl. 22:56 skrev Richard Barnes <[email-masked]>:
> 
> 
> 
> Yes, but eventually it isn't.  If you don't bring anyone new into your community, your community doesn't last long.  So maybe help educate us young'uns?
>  
> 
>  I'm honestly trying to understand what you're saying here.  Are you saying that we need to focus efforts on finding an RSE that displays those values, as opposed to trying to guard against failures of those values?
> 
> --Richard

If guarding against the failure if core values was what the IAB and RSOC was doing it would at least have been a laudable goal.

From the outside it looks rather more like a bunch of folks tinkering away with ”process” at the expense of people.

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 26 Jun 2019 12:02:12 +1200

On 26-Jun-19 11:12, Ted Hardie wrote:
> Hi Mike,
> 
> On Tue, Jun 25, 2019 at 3:19 PM Mike StJohns <[email-masked] <mailto:[email-masked]>> wrote:
>> On Tue, Jun 25, 2019 at 1:39 PM Randy Bush <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>
>>
> Jon was the RFC editor during the production of RFC 1358 and RFC 1601, and he was also on the IAB as a member, then as IRTF chair, then as RFC Editor Liaison, basically from 1990-1998.  It's hard to credit that he did not read and comment on those documents in one of those two roles. 
> The documents through RFC 2850 all predate the split into streams, so even RFC 2850 has to be read as the RFC Series having this text, rather than it being an assertion of the IAB alone within its own stream.  I will leave it to Brian, who authored RFC 2850, to discuss the extent to which it was a community document, but I do note it is a BCP.

It was posted as draft-iab-rfc1601bis in 1999 and it was the 02
version that became the BCP after several months for community comment.
And there was comment. The tracker record is a bit sparse, since there
was no tracker then:
https://datatracker.ietf.org/doc/draft-iab-rfc1601bis/history/

The BCP text about the RFC Editor says only this:

   The RFC Editor executes editorial management and publication of the
   IETF "Request for Comment" (RFC) document series, which is the
   permanent document repository of the IETF.  The RFC series
   constitutes the archival publication channel for Internet Standards
   and for other contributions by the Internet research and engineering
   community. RFCs are available free of charge to anyone via the
   Internet. The IAB must approve the appointment of an organization to
   act as RFC Editor and the general policy followed by the RFC Editor.

This of course was after Jon died; however the IAB internal discussion of
the charter started in 1997. (We didn't treat it as a high priority
work item.) I personally wrote the first version of what became the
above paragraph in a message to the IAB on November 1, 1997, so Jon
certainly saw it. However, I have no record of him commenting on it.
In fact, starting more or less that same week, most of his (and my)
concern was about the future of IANA.

OK, if people are curious, here is the text suggested on that day. Remember
that ICANN had not been invented yet:

"  (d) RFC Series and IANA

||    The RFC Editor executes editorial management and publication
||    of the IETF permanent document series (Requests for Comments).
||    The RFC series constitutes the archival publication channel for
||    Internet Standards and for other contributions by the Internet
||    research and engineering community. RFCs are available free
||    of charge to anyone via the Internet.

||    The Internet Assigned Numbers Administration (IANA) administers 
||    various numbering and naming spaces used in the Internet,
||    delegating this administration as appropriate.

||    The RFC Editor and the IANA operate with the advice and consent
||    of the IAB."

    Brian

---

From: Ted Hardie <[email-masked]>
Date: Tue, 25 Jun 2019 17:04:49 -0700

Thanks for sharing the history,

Regards,

Ted

On Tue, Jun 25, 2019, 5:02 PM Brian E Carpenter <[email-masked]>
wrote:

> >> For those who have not had to look it all up recently, the IAB's role
> here has evolved as the RFC Editor model has evolved, but the appointment
> > Jon was the RFC editor during the production of RFC 1358 and RFC 1601,
> and he was also on the IAB as a member, then as IRTF chair, then as RFC
> Editor Liaison, basically from 1990-1998.  It's hard to credit that he did
> not read and comment on those documents in one of those two roles.
> > The documents through RFC 2850 all predate the split into streams, so
> even RFC 2850 has to be read as the RFC Series having this text, rather
> than it being an assertion of the IAB alone within its own stream.  I will
> leave it to Brian, who authored RFC 2850, to discuss the extent to which it
> was a community document, but I do note it is a BCP.
>

---

From: Terry Manderson <[email-masked]>
Date: Wed, 26 Jun 2019 10:28:12 +1000

Apologies for the top post. 

I agree with Leif’s perspective here. Process can be fixed and reflected upon, core values sustained, models improved, and results measured. But none of this should undermine the ethos of good and constructive professional relationships. This is what I believe has occurred. Moreover, given that all these posts are public and the IETF expects to run a RFP, how will bidders perceive the environment that the IAB/RSOC have created by their actions? How do you think they will adjust their bids to compensate?

Cheers,
Terry

Mobile device. All correct spelling unintentional.

> On 26 Jun 2019, at 10:00, Leif Johansson <[email-masked]> wrote:
> 
> 
> 
> Skickat från min iPhone
>

---

From: Adam Roach <[email-masked]>
Date: Tue, 25 Jun 2019 23:40:03 -0500

On 6/25/19 3:59 PM, Brian E Carpenter wrote:
> Indeed,*if*  the word "customer" is the right one. But look at it the other

I'm not sure I understand how this is a valid way to think about the 
model. Are you proposing that we reverse the direction that money flows?

/a

---

From: Michael Richardson <[email-masked]>
Date: Wed, 26 Jun 2019 09:47:31 -0400

Adam Roach <[email-masked]> wrote:
    brian> Indeed,*if* the word "customer" is the right one. But look at it the
    brian> other way round: if the RFC series is the customer, its largest
    brian> supplier is the IETF.

    > model. Are you proposing that we reverse the direction that money

No, I don't think it's about the money.

Brian is saying that if we look at the RPC/RFC-series as a (probably
criticially constrained resource - CCR) step in a process, then the largest
backlog of work comes from the IETF series.   That means that processes
and people are probably optimized for the IETF series.

The other series, because they are smaller get less specialization, and less
accomodation in the process.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-